import { Panel } from "../../module/views/Panel";

// interface IConfirmPanel {
//
//     resolve: Function;
//     reject: Function;
//     promise: Promise<any>;
//
//     make(): Promise<any>;
//
// }


export default class ConfirmPanel extends Panel {
    resolve: Function = null;
    reject: Function = null;
    promise: Promise<any> = null;

    public makePromise(): Promise<any> {
        this.promise = new Promise<any>((resolve, reject) => {
            this.resolve = resolve;
            this.reject = reject;
        });
        return this.promise;
    }
}
